# ----------
# - Install nodejs - (we use the official NodeJs LTS release)
# ----------

# Install Prerequisites
#
apt install curl \
   ca-certificates \
   curl \
   gnupg \
   apt-transport-https \
   lsb-release


# Download and import the Nodesource GPG key
#
mkdir -p /etc/apt/keyrings
curl -fsSL https://deb.nodesource.com/gpgkey/nodesource-repo.gpg.key | sudo gpg --dearmor -o /etc/apt/keyrings/nodesource.gpg

# Create debian repository
#
NODE_MAJOR=20

echo "deb [signed-by=/etc/apt/keyrings/nodesource.gpg] https://deb.nodesource.com/node_$NODE_MAJOR.x nodistro main" | sudo tee /etc/apt/sources.list.d/nodesource.list

# Run update
#
apt update

# Install nodejs
#
apt install nodejs

node -v
npm -v


# ----------
# Uninstall nodejs Ubuntu & Debian packages
# ----------

# To completely remove Node.js installed from the deb.nodesource.com package methods above:
#
apt-get purge nodejs
rm -r /etc/apt/sources.list.d/nodesource.list
rm -r /etc/apt/keyrings/nodesource.gpg

apt update
